curl https://tools.runtools.ai/v1/tools \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const installed = await rt.tools.list();
const allOrgInstalled = await rt.tools.list({ all: true });
{
"data": [
{
"slug": "github",
"name": "GitHub",
"description": "Manage repositories, issues, and pull requests",
"category": "developer",
"enabled": true,
"hasCredentials": true,
"credentialMode": "oauth",
"oauthProvider": "github",
"requiredCredentialFields": [],
"installedAt": "2026-05-06T10:00:00Z"
}
]
}
Tools
List Tools
List installed Tool Hub tools
GET
/
v1
/
tools
curl https://tools.runtools.ai/v1/tools \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const installed = await rt.tools.list();
const allOrgInstalled = await rt.tools.list({ all: true });
{
"data": [
{
"slug": "github",
"name": "GitHub",
"description": "Manage repositories, issues, and pull requests",
"category": "developer",
"enabled": true,
"hasCredentials": true,
"credentialMode": "oauth",
"oauthProvider": "github",
"requiredCredentialFields": [],
"installedAt": "2026-05-06T10:00:00Z"
}
]
}
Tool endpoints use the tools service:
https://tools.runtools.ai/v1
Query Parameters
boolean
Admin-only: include every installed tool row in the organization.
Response
array
Installed tools visible to the caller.
curl https://tools.runtools.ai/v1/tools \
-H "X-API-Key: $RUNTOOLS_API_KEY"
const installed = await rt.tools.list();
const allOrgInstalled = await rt.tools.list({ all: true });
{
"data": [
{
"slug": "github",
"name": "GitHub",
"description": "Manage repositories, issues, and pull requests",
"category": "developer",
"enabled": true,
"hasCredentials": true,
"credentialMode": "oauth",
"oauthProvider": "github",
"requiredCredentialFields": [],
"installedAt": "2026-05-06T10:00:00Z"
}
]
}
Related SDK Calls
const marketplace = await rt.tools.marketplace();
const matches = await rt.tools.search('github');
const github = await rt.tools.get('github');
const custom = await rt.tools.custom();
⌘I